from pybricks.hubs import TechnicHub
from pybricks.parameters import Color
from pybricks.pupdevices import ColorSensor
from pybricks.parameters import Port
from pybricks.tools import wait

hub    = TechnicHub()
sensor = ColorSensor(Port.A)

Color.RED    = Color(h=351, s=87, v=57)
Color.ORANGE = Color(h=  0, s=85, v=80)
Color.GREEN  = Color(h=140, s=76, v=67)
Color.BLUE   = Color(h=206, s=85, v=45)
Color.WHITE  = Color(h=200, s=13, v=75)
Color.YELLOW = Color(h= 46, s=59, v=75)

myColors = (Color.RED, Color.ORANGE, Color.GREEN, Color.BLUE, Color.WHITE, Color.YELLOW)
sensor.detectable_colors(myColors)

for i in range(100):
    hvs = sensor.hsv(surface=True)
    color = sensor.color()
    print(hvs, color)
    hub.light.on(color)

    wait(500)